ResourceControllerStoreData Method |
POST /Resource/File/{id}
Stores binary file data for different types of files. This API call expects form files inside the request body.
Namespace:
Dundas.BI.WebApi.Controllers
Assembly:
Dundas.BI.WebApi (in Dundas.BI.WebApi.dll) Version: 2.0.0.0 (10.0.0.1002)
Syntax[HttpPostAttribute]
[ActionNameAttribute("File")]
public IActionResult StoreData(
Guid? id = null,
Guid? projectId = null,
ObjectType resourceType = ObjectType.Unknown,
Guid? parentFolderId = null,
Guid? sessionId = null
)<HttpPostAttribute>
<ActionNameAttribute("File")>
Public Function StoreData (
Optional id As Guid? = Nothing,
Optional projectId As Guid? = Nothing,
Optional resourceType As ObjectType = ObjectType.Unknown,
Optional parentFolderId As Guid? = Nothing,
Optional sessionId As Guid? = Nothing
) As IActionResultpublic:
[HttpPostAttribute]
[ActionNameAttribute(L"File")]
IActionResult^ StoreData(
Nullable<Guid> id = nullptr,
Nullable<Guid> projectId = nullptr,
ObjectType resourceType = ObjectType::Unknown,
Nullable<Guid> parentFolderId = nullptr,
Nullable<Guid> sessionId = nullptr
)
[<HttpPostAttribute>]
[<ActionNameAttribute("File")>]
member StoreData :
?id : Nullable<Guid> *
?projectId : Nullable<Guid> *
?resourceType : ObjectType *
?parentFolderId : Nullable<Guid> *
?sessionId : Nullable<Guid>
(* Defaults:
let _id = defaultArg id null
let _projectId = defaultArg projectId null
let _resourceType = defaultArg resourceType ObjectType.Unknown
let _parentFolderId = defaultArg parentFolderId null
let _sessionId = defaultArg sessionId null
*)
-> IActionResult
Parameters
- id (Optional)
- Type: SystemNullableGuid
The ID of the resource if this is an update call. - projectId (Optional)
- Type: SystemNullableGuid
The project ID. - resourceType (Optional)
- Type: Dundas.BIObjectType
Type of the resource.
The only accepted types are ImageResource, DataResource, MapResource and DiagramResource.
However if the file types are not known ahead of time then Unknown can be used and the type will attempt to be detected from the file extension. - parentFolderId (Optional)
- Type: SystemNullableGuid
The parent folder's ID. - sessionId (Optional)
- Type: SystemNullableGuid
The ID of the session.
Return Value
Type:
IActionResult
An array of
FileData objects, or a status code indicating a problem, or an empty array if no results were found.
See Also